> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uniblock.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Token USD Price History

> Get the historical USD price of a token.



## OpenAPI

````yaml /reference/api-json.json get /token/price/historical
openapi: 3.0.0
info:
  title: Unified Request
  description: One API for all your web3 needs.
  version: '1.0'
  contact: {}
servers:
  - url: https://api-test.uniblock.dev/uni/v1
    description: Test-Gateway
security:
  - {}
  - ApiKeyAuth: []
tags: []
paths:
  /token/price/historical:
    get:
      tags:
        - Token
      summary: Get Token USD Price History
      description: Get the historical USD price of a token.
      operationId: TokenHistoricalPrice
      parameters:
        - name: chainId
          required: true
          in: query
          description: Unique identifier for a blockchain network.
          schema:
            default: 1
            example: 1
            type: string
            enum:
              - 1
              - 10
              - 100
              - 10143
              - 10200
              - 11011
              - 11124
              - 11155111
              - 11155420
              - 11297108109
              - 1135
              - 1284
              - 1285
              - 130
              - 1301
              - 1315
              - 1329
              - 137
              - 14
              - 143
              - 146
              - 1514
              - 1666600000
              - 167000
              - 167009
              - 168587773
              - 1868
              - 1946
              - 196
              - 2020
              - 2021
              - 204
              - 25
              - 250
              - 2741
              - 30
              - 300
              - 31
              - 324
              - 33111
              - 33139
              - 360
              - 369
              - 36900
              - 37111
              - 388
              - 40
              - 4002
              - 4202
              - 42161
              - 421614
              - 42170
              - 42220
              - 42262
              - 43113
              - 43114
              - 4326
              - 480
              - 4801
              - 5000
              - 534351
              - 534352
              - 5371
              - 5373
              - 545
              - 56
              - 57
              - 57073
              - 59141
              - 59144
              - 660279
              - 690
              - 7000
              - 747
              - 763373
              - 7777777
              - 80002
              - 80094
              - 81457
              - 8453
              - 84532
              - 88
              - 88882
              - 88888
              - 97
              - 9745
              - 9746
              - 999
              - 99999
              - 999999999
              - bitcoin
              - solana
              - solana-devnet
        - name: exchange
          required: false
          in: query
          description: The exchange to query the price from.
          schema:
            type: string
            enum:
              - uniswap-v2
              - uniswap-v3
              - sushiswap-v2
              - pancakeswap-v1
              - pancakeswap-v2
              - quickswap
        - name: timestamp
          required: false
          in: query
          description: The timestamp to query from.
          schema:
            default: 1625097600
            example: 1625097600
            type: number
        - name: blockNumber
          required: false
          in: query
          description: The block number to query from.
          schema:
            type: number
        - name: includeRaw
          required: false
          in: query
          description: >-
            Returns the raw data given by the provider. WARNING: removes backup
            feature, and raw data returned is not normalized which might make
            switching providers difficult
          schema:
            example: null
            type: boolean
        - name: provider
          required: false
          in: query
          description: >-
            Overrides our autorouting. Only specify this parameter if you would
            like to specify only a single provider to use for this request.
          schema:
            type: string
            enum:
              - Alchemy
              - Ankr
              - GoldRush
              - Moralis
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenHistoricPriceResponse'
components:
  schemas:
    TokenHistoricPriceResponse:
      type: object
      properties:
        usdPrice:
          type: object
          example: '1.001'
        name:
          type: object
          example: Tether
        symbol:
          type: object
          example: USDT
        address:
          type: object
          example: 0x...
        decimals:
          type: object
          example: '6'
        logo:
          type: object
          example: https://static.alchemyapi.io/images/assets/825.png
        exchangeName:
          type: object
          example: uniswap
        exchangeAddress:
          type: string
          example: 0x...
        updatedAt:
          type: object
          example: '2023-05-20T02:58:53.987519619Z'
        blockNumber:
          type: string
          example: '17941778'
        timestamp:
          type: object
          example: '1692651613'
          nullable: true
      required:
        - usdPrice
        - name
        - symbol
        - address
        - decimals
        - logo
        - exchangeName
        - exchangeAddress
        - updatedAt
        - blockNumber
        - timestamp
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key to access the API (optional)

````